program TMO_
  !! Paul Sava (paul@sep.stanford.edu)
  !! 3/31/04
  use sep

  implicit none
  integer :: n1,n2,n3
  integer :: i1,i2,i3
  integer :: k
  real, dimension(:,:,:), pointer :: din,dou

  call sep_init()
  call sep_close()

  n1=800
  n2=400
  n3=200

  k=1
  do while(.true.)
     write(0,*) k
     allocate(din(n1,n2,n3))
     allocate(dou(n1,n2,n3))

     do i1=1,n1
        do i2=1,n2
           do i3=1,n3

              din(i1,i2,i3)=i1+sin(1.*i2)/i3

              dou(i1,i2,i3)=sqrt(din(i1,i2,i3)**2)

           end do
        end do
     end do

     deallocate(din,dou)
     k=k+1
  end do

  call exit(0)
end program TMO_










